Get the result of a purge request
curl --request GET \
--url https://api.{workspaceId}.clinia.cloud/sources/{sourceKey}/v1/purge/{purgeId} \
--header 'X-Clinia-API-Key: <api-key>'import requests
url = "https://api.{workspaceId}.clinia.cloud/sources/{sourceKey}/v1/purge/{purgeId}"
headers = {"X-Clinia-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Clinia-API-Key': '<api-key>'}};
fetch('https://api.{workspaceId}.clinia.cloud/sources/{sourceKey}/v1/purge/{purgeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"taskId": "<string>",
"purgeId": "<string>",
"collectionType": "resources",
"collectionKey": "<string>",
"status": "SUCCESS",
"deletedCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"code": 400,
"message": "<string>",
"type": "ALREADY_EXISTS",
"details": "<array>",
"additionalContext": {}
}{
"code": 400,
"message": "<string>",
"type": "ALREADY_EXISTS",
"details": "<array>",
"additionalContext": {},
"applicationErrorCode": "REGISTRY_DUPLICATE_IDENTIFIER"
}{
"code": 400,
"message": "<string>",
"type": "ALREADY_EXISTS",
"details": "<array>",
"additionalContext": {}
}{
"code": 400,
"message": "<string>",
"type": "ALREADY_EXISTS",
"details": "<array>",
"additionalContext": {}
}Purge
Get the result of a purge request
Get the result of a purge request.
GET
/
sources
/
{sourceKey}
/
v1
/
purge
/
{purgeId}
Get the result of a purge request
Authorizations
apiKeybasicHttpAuthbearerHttpAuth
Path Parameters
The key of the source.
ID of the purge job.
Response
Gets the current status of the purge job.
The task identifier. Used to track an async task in the system. Use the task ID to poll for completion status. The taskId holds different prefix to represent different tasks.
- oneOf task:
s_<id>. - bulk task:
bk_<id>(deprecated:<id>only). - bundle task:
bd_<id>(deprecated:<id>only). - purge task:
pg_<id>(deprecated:purge:<id>).
ID of the purge operation. Deprecated, please use the taskId instead.
Type of document, either relationships or resources.
Available options:
resources, relationships Key of the resource or relationship collection.
Status of the purge operation.
Available options:
SUCCESS, PENDING, CANCELLED, FAILURE Number of documents deleted in case of success status.
Was this page helpful?